<?php
function crea_option($dom,$niv,$texto,$refer='',$hijos='')
{
     global $xuli0,$xuli1,$xuli2,$xuli3,$xuli4,$xuli5;
     if(strlen(trim($texto))<=2){return;}
     $xlist=${'xuli'.(int)($niv-1)}->appendChild($dom->createElement("li"));
//           $xlist->setAttribute("style","float:right;");     
     $ahref=$xlist->appendChild($dom->createElement("a",htmlspecialchars($texto)));
     if(!empty($refer))
     {
          if(mb_stristr($refer,'{'))
          {$ahref->setAttribute("onclick",$refer);}
          else
          {$ahref->setAttribute("href",$refer);}
     }
//      else
//      {${'xuli'.(int)($niv)}=$xlist->appendChild($dom->createElement("ul"));}
     if(empty($refer) or !empty($hijos))
     {${'xuli'.(int)($niv)}=$xlist->appendChild($dom->createElement("ul"));}
}

$empr0=data_maes('empr',$cfg_empr);
$user0=data_maes('user',$_SESSION['user_codigo']);

$def_vtas='FC10';
$def_guia='GR10';
// $def_ptov='001101';
$def_ptov=$user0['user_ptov'];


$dom=new DomDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->xmlStandalone = true;
     $dom->formatOutput = true;

$xuli0=$dom->appendChild($dom->createElement("ul"));   
     $xuli0->setAttribute("menu","main");
     $xuli0->setAttribute("class","slimmenu");

if(empty($_SESSION['user_codigo']))
{
     crea_option($dom,1,'Iniciar Sesión','?scri=user_login0',true);
          crea_option($dom,2,'Cuenta Nueva','?scri=user_nuevo0');
          crea_option($dom,2,'Resetear Clave','?scri=user_reset0');
}

if(!empty($_SESSION['user_codigo']))
{
//      if($empr0['empr_tipo']=='pyme')
     if($empr0['empr_pyme']==1 and mb_stristr('sist.supe.admi.oper',$_SESSION['user_tipo']))
     {
          crea_option($dom,1,'Registros');
               crea_option($dom,2,'LineUp','?scri=regi_encu3&acci=1');
               crea_option($dom,2,'Partido','?scri=regi_encu3&acci=2');

          crea_option($dom,1,'Consultas','',true);
               crea_option($dom,2,'Calendario','?scri=cons_part3');
               crea_option($dom,2,'Partidos','?scri=cons_part3');
               crea_option($dom,2,'Estadisticas','?scri=info_maes3&modu=ctas');
       
          crea_option($dom,1,'Maestros','?scri=regi_maessb',true);
               crea_option($dom,2,'General','?scri=info_maes3&modu=');
               crea_option($dom,2,'Liga','?scri=regi_maessb&modu=liga');
               crea_option($dom,2,'Encuentro','?scri=regi_pasb3&tipoR=0');
               crea_option($dom,2,'Roster','?scri=info_maes3&modu=ctas');
               crea_option($dom,2,'Entidad','?scri=regi_ensb3');
          
          crea_option($dom,1,'Procesos','?scri=proc_modu3',true);
               crea_option($dom,2,'Ventas');
                    crea_option($dom,3,'X Cliente','http:youtube.com');
                    crea_option($dom,3,'X Producto','http:jw.org');
     }
}

if($empr0['empr_carr']==1)
{
     $scri_shop='ctlg_item3';
     crea_option($dom,1,'Catálogo','?scri='.$scri_shop,true);
     if(mb_stristr('gmny.gnya',$cfg_empr))
     {
          $zoptions='Blusas;Vestidos;Faldas;Enterizos;Shorts;Leggins;Camisas;Camisetas;Pantalones;Pijamas;Niños(as);';
          $zoptions=explode(';',$zoptions);
               for($xidx=0; $xidx<count($zoptions); $xidx++)
               {crea_option($dom,2,$zoptions[$xidx],'?scri='.$scri_shop.'&categoria='.$zoptions[$xidx]);}
     }

     $ztabla='lsub'; $ztodos=1; $zoptions=''; 
     if(mb_stristr('gmny.gnya',$cfg_empr)){$ztabla='';}
     include('col2list.php');
     if(!empty($zoptions))
     {
          $zoptions=explode(';',$zoptions);
          sort($zoptions);
          crea_option($dom,2,'Líneas');
               for($xidx=0; $xidx<count($zoptions); $xidx++)
               {
                    $optval=explode(',',$zoptions[$xidx]);
                    crea_option($dom,3,$optval[1],'?scri='.$scri_shop.'&lsub='.$optval[0]);
               }
          $zoptions='';
          include('ele_reset.php');
     }
     
     $ztabla='mrca'; $ztodo=1; $zoptions=''; 
     if(mb_stristr('gmny.gnya',$cfg_empr)){$ztabla='';}
     include('col2list.php');
     if(!empty($zoptions))
     {
          $zoptions=explode(';',$zoptions);
          sort($zoptions);
          crea_option($dom,2,'Marcas');
               for($xidx=0; $xidx<count($zoptions); $xidx++)
               {
                    $optval=explode(',',$zoptions[$xidx]);
                    crea_option($dom,3,$optval[1],'?scri='.$scri_shop.'&mrca='.$optval[0]);
               }
          $zoptions='';
          include('ele_reset.php');
     }
     
}

if(!empty($_SESSION['user_codigo']))
{
     crea_option($dom,1,'Mi Perfil','?scri=regi_maes3&modu=user',true);
     if($empr0['empr_carr']==1)
     {
          crea_option($dom,2,'Mi Carrito','?scri=ctlg_item3&format=4');
          crea_option($dom,2,'Mis Pedidos','?scri=info_clie3&docu=PC');
          crea_option($dom,2,'Mis Facturas','?scri=info_clie3&docu=FC');
//          crea_option($dom,2,'Mis Direcciones','?scri=regi_adrs3');
          crea_option($dom,2,'Mis Direcciones','?scri=regi_maes3&modu=adrs');
     }
     crea_option($dom,2,'Zoom '.$zoom_site.'%','?scri=zoom_site1');
     
     $ver_2020='index2.php';
//      if(mb_stristr('demo.gmny.gnya',$cfg_empr)){$ver_2020='index2.php';}
//      if(mb_stristr('demo.gmny.gnya.jwib',$cfg_empr)){$ver_2020='https://'.$cfg_empr.'.vcrxol.com/index2.php';}
     if(@mb_stristr('sist.supe.admi.oper',$_SESSION['user_tipo']))
          {crea_option($dom,2,'Ver.2020',$ver_2020);}
     crea_option($dom,2,'Salir','{user_logout();}');
}




if($cfg_empr=='jwib')
{
     $scri_cong='sele_cong1';
     crea_option($dom,1,'Congregación','?scri='.$scri_cong,true);
     
     crea_option($dom,2,'Seleccionar','?scri='.$scri_cong);
     if(!empty($_SESSION['cong_codigo']))
     {
          crea_option($dom,2,'Anuncios','?scri=jwib_asig2&docu=ASEM');
          if(@mb_stristr('sist.supe',$_SESSION['user_tipo']))
          {crea_option($dom,2,'Consultas','?scri=jwib_cons1&docu=ASEM');}
     }
}


echo $dom->saveXML();
?>
